tomcat-taglibs-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rahul Akolkar <rahul.akol...@gmail.com>
Subject Re: jsp with mailer1.1 taglib no longer works on Tomcat 5.0
Date Mon, 09 Jan 2006 23:35:27 GMT
On 1/9/06, Kevin Passey <kevin@kdpsoftware.co.uk> wrote:
> Hi,
>
> I have written a small JSP which basically sends me and a couple of other
> people e-mails when a form is submitted from our website - this has and
> still is running quite happily on Tmocat 4.x.
>
> However on 5.x it fails with a syntax error in the log - the question is
> quite simple - are these taglibs obsolete no - I see the last changes were
> early 2004.
>
<snip/>

Taglibs are tied to the underlying JSP specification and hence,
specific versions of servlet containers (such as Tomcat).

Mailer 1.1 will work on Tomcat 4.1's Jasper2 (JSP 1.2), but not on
Tomcat 5.x (JSP 2.0). You might want to check out the sandbox taglib
Mailer2 [1], which is a JSP 2.0 taglib. It will work on Tomcat 5.x
though this will require changes to your JSPs, and assumes you're able
to use unreleased sandbox code.

-Rahul

[1] http://jakarta.apache.org/taglibs/sandbox/doc/mailer2-doc/intro.html


> Thanks
>
> Kevin
<snap/>

---------------------------------------------------------------------
To unsubscribe, e-mail: taglibs-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: taglibs-user-help@jakarta.apache.org


Mime
View raw message